
// Indirect arc power control commands
#define OFF                          0
#define UP                           1
#define DOWN                         2
#define STEP_UP                      3
#define STEP_DOWN                    4
#define RECALL_MAX                   5
#define RECALL_MIN                   6
#define DOWN_AND_OFF                 7
#define ON_AND_UP                    8
#define GO_TO_SCENE                  16            // 16 - 31

// General configuration commands
#define RESET                        32
#define STORE_ACTUAL                 33

// Arc power parameters settings
#define STORE_MAX                    42
#define STORE_MIN                    43
#define STORE_FAILURE                44
#define STORE_POWER_ON               45
#define STORE_FADE_TIME              46
#define STORE_FADE_RATE              47
#define STORE_SCENE                  64            // 64 - 79

// System parameters settings
#define REMOVE_SCENE                 80            // 80 - 95
#define ADD_TO_GROUP                 96            // 96 - 111
#define REMOVE_GROUP                 112           // 112 - 127
#define STORE_SHORT_ADD              128

// Queries related to status information
#define QUERY_STATUS                 144
#define QUERY_BALLAST                145
#define QUERY_LFAILURE               146
#define QUERY_POWER_ON               147
#define QUERY_LIMIT_ERR              148
#define QUERY_RESET                  149
#define QUERY_MISSING                150
#define QUERY_VERSION                151
#define QUERY_CONTENT                152
#define QUERY_DEVICE                 153
#define QUERY_MINIMUM                154
#define QUERY_PFAILURE               155

// Queries related to arc power parameters settings
#define QUERY_ACTUAL                 160
#define QUERY_MAX_LEVEL              161
#define QUERY_MIN_LEVEL              162
#define QUERY_POWER_L                163
#define QUERY_FAILURE_L              164
#define QUERY_FADE                   165

// Queries related to system parameters settings
#define QUERY_SCENE                  176           // 176 - 191
#define QUERY_GR_0_7                 192
#define QUERY_GR_8_15                193
#define QUERY_ADDRESS_H              194
#define QUERY_ADDRESS_M              195
#define QUERY_ADDRESS_L              196

// Terminate special processes
#define TERMINATE                    0xA1          // command 256

// Download information to the dtr
#define DATA_TRANS_REG               0xA3

// Addressing commands
#define INITIALISE                   0xA5
#define RANDOMISE                    0xA7
#define COMPARE                      0xA9
#define WITHDRAW                     0xAB
#define SEARCHADDRH                  0xB1
#define SEARCHADDRM                  0xB3
#define SEARCHADDRL                  0xB5
#define PROGRAM_SHORT                0xB7
#define VERIFY_SHORT                 0xB9
#define QUERY_SHORT                  0xBB
#define PHYSICAL_SEL                 0xBD
#define ENABLE_TYPE                  0xC1
