typedef unsigned char  BYTE;
typedef unsigned short WORD;
typedef unsigned long  LONG;

#define ST_INIT        0
#define FADE_UP        1
#define FADE_DOWN      2
#define ST_IDLE        3

#define VERSION_NUMBER         0x09                // current version number 0.9
#define PHY_MIN_LEVEL          1

extern const BYTE POWER_ON_LEVEL;
extern const BYTE SYS_FAILURE_LEVEL;
extern const BYTE MIN_LEVEL;
extern const BYTE MAX_LEVEL;
extern const BYTE FADE_RATE;
extern const BYTE FADE_TIME;
extern const BYTE RANDOM_ADDRESS_H;
extern const BYTE RANDOM_ADDRESS_M;
extern const BYTE RANDOM_ADDRESS_L;
extern const BYTE SHORT_ADDRESS;
extern const BYTE GROUP_0_7;
extern const BYTE GROUP_8_15;
extern const BYTE SCENE[16];

extern BYTE rep_timeout;
extern LONG add_timeout;
extern BYTE answer;
extern BYTE address;
extern BYTE command;
extern BYTE f_dalitx;
extern BYTE f_dalirx;

extern void Ballast_Init(void);
extern BYTE LampFailure(void);
extern void SetLevel(BYTE l);
extern void FadeTime(BYTE l);
extern void FadeUp(void);
extern void FadeDown(void);
extern BYTE level;
extern BYTE limit_error;
extern BYTE state;

extern void DALI_Init(void);
extern void DALI_SendAnswer(void);
extern void DALI_ProcesCommand(void);

extern void FlashWrite(BYTE n, BYTE new);
extern void FlashRandom(LONG new);
extern void FlashReset(void);
